## python-biomaj3 3.0.20

=== requirements.txt ===
mock
nose
pymongo==3.2
pycurl
tabulate
ldap3==1.4.0
py-bcrypt
drmaa
future
elasticsearch
