=== debian/changelog ===
python-biomaj3 (3.0.20-1) unstable; urgency=medium

  * New package (Closes: # 851366).
    This is a rewrite of biomaj software/package. Biomaj v1 is not maintained
    anymore and biomaj3  should be used instead. 

 -- Olivier Sallou <osallou@debian.org>  Sat, 14 Jan 2017 09:30:04 +0000
