=== debian/control ===
Source: python-biomaj3
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Olivier Sallou <osallou@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all,
               python-all-dev,
               python-setuptools,
               python-mock,
               python-nose,
               python-pymongo,
               python-tabulate,
               python-ldap3,
               python-bcrypt,
               python-future,
               python-elasticsearch,
               python-pycurl,
               python-drmaa,
               python3-all,
               python3-all-dev,
               python3-setuptools,
               python3-mock,
               python3-nose,
               python3-pymongo,
               python3-tabulate,
               python3-ldap3,
               python3-bcrypt,
               python3-future,
               python3-elasticsearch,
               python3-pycurl,
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/python-biomaj3.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/python-biomaj3.git
Homepage: https://github.com/genouest/biomaj
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.4

Package: python-biomaj3
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends},
         biomaj3-commons
Suggests: mongodb-server, biomaj3-doc
Description: biological data-bank updater (Python 2)
 BioMAJ downloads remote data banks, checks their status and applies
 transformation workflows, with consistent state, to provide ready-to-use
 data for biologists and bioinformaticians. For example, it can transform
 original FASTA files into BLAST indexes. It is very flexible and its
 post-processing facilities can be extended very easily.
 .
 BioMAJ is a rewrite of BioMAJ, using Mongodb as backend. See wiki for migration.
 .
 This package contains the Python 2 module.

Package: python3-biomaj3
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
         biomaj3-commons
Suggests: mongodb-server, biomaj3-doc
Description: biological data-bank updater (Python 3)
 BioMAJ downloads remote data banks, checks their status and applies
 transformation workflows, with consistent state, to provide ready-to-use
 data for biologists and bioinformaticians. For example, it can transform
 original FASTA files into BLAST indexes. It is very flexible and its
 post-processing facilities can be extended very easily.
 .
 BioMAJ is a rewrite of BioMAJ, using Mongodb as backend. See wiki for migration.
 .
 This package contains the Python 3 module.

Package: biomaj3-commons
Architecture: all
Depends: ${misc:Depends}
Description: biological data-bank updater
 BioMAJ downloads remote data banks, checks their status and applies
 transformation workflows, with consistent state, to provide ready-to-use
 data for biologists and bioinformaticians. For example, it can transform
 original FASTA files into BLAST indexes. It is very flexible and its
 post-processing facilities can be extended very easily.
 .
 BioMAJ is a rewrite of BioMAJ, using Mongodb as backend. See wiki for migration.
 .
 This package contains the configuration files and directory structure (logs, ..)
 to run BioMAJ.
