=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

# see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

# see FEATURE AREAS in dpkg-buildflags(1)
# Fails to build when set to +all
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

export PYBUILD_NAME=biomaj3
# Skip tests as they need mongodb instance running
override_dh_auto_test:
	echo "Skipping tests, they require a running mongodb instance"

# main packaging script based on dh7 syntax
%:
	dh $@ --with python2,python3 --buildsystem=pybuild


override_dh_install:
	dh_install
	cp debian/global.properties debian/biomaj3-commons/etc/biomaj3/global.properties
	mv debian/python3-biomaj3/usr/bin/biomaj-cli.py debian/python3-biomaj3/usr/bin/python3-biomaj-cli
	mv debian/python-biomaj3/usr/bin/biomaj-cli.py debian/python-biomaj3/usr/bin/python-biomaj-cli

# help2man fails because python needs to be interpreted
#override_dh_installman:
#	help2man --no-discard-stderr --version-string="$(DEB_VERSION_UPSTREAM)" -o biomaj-cli3.1 bin/biomaj-cli.py
#	help2man --no-discard-stderr --version-string="$(DEB_VERSION_UPSTREAM)" -o biomaj-cli.1 bin/biomaj-cli.py
#	dh_installman
